Bug 983463 - ipa-server may be depend on openssh-clients package
ipa-server may be depend on openssh-clients package
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
All Linux
medium Severity low
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
Depends On:
  Show dependency treegraph
Reported: 2013-07-11 05:30 EDT by amedeo
Modified: 2015-05-19 09:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.0.0-31.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-21 15:54:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description amedeo 2013-07-11 05:30:18 EDT
Description of problem:
When you try to install an ipa replica server they try to contact it's ipa server master with openssh-clients tools (like ssh)

Version-Release number of selected component (if applicable):
[root@itpvsldaps002 ~]# rpm -qa | grep ipa
[root@itpvsldaps002 ~]#

How reproducible:
1. Install ipa server master
2. Install rhel host that will become ipa replica with only @core packages (without openss-clients installed!)
3. Install ipa-server packages on ipa replica host (but without launch ipa-server-install)
4. Launch ipa-replica-prepare on ipa master
5. Transfer gpg with sftp client and not with scp client (because scp will fail due to ipa replica server doesn' has scp program!)
6. Launch ipa-replica-install on ip replica server and you got:

# ipa-replica-install --setup-ca -p foopw -w foopw /var/lib/ipa/replica-info-XXXXX.gpg 
Run connection check to master
Check connection from replica to remote master 'YYYYYYY':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK
   PKI-CA: Directory Service port (7389): OK

The following list of ports use UDP protocol and would need to be
checked manually:
   Kerberos KDC: UDP (88): SKIPPED
   Kerberos Kpasswd: UDP (464): SKIPPED

Connection from replica to master is OK.
Start listening on required ports for remote master check
Get credentials to log in to remote master
Execute check on remote master
Traceback (most recent call last):
  File "/usr/sbin/ipa-replica-conncheck", line 392, in <module>
  File "/usr/sbin/ipa-replica-conncheck", line 371, in main
  File "/usr/lib/python2.6/site-packages/ipapython/ipautil.py", line 295, in run
    close_fds=True, env=env, cwd=cwd)
  File "/usr/lib64/python2.6/subprocess.py", line 639, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1228, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Connection check failed!
Please fix your network settings according to error messages above.
If the check results are not valid it can be skipped with --skip-conncheck parameter.

7. Install openssh-clients on ipa replica host
8. Re-Launch ipa-replica-install and all works fine!

Steps to Reproduce:
Same as above

Actual results:
No openssh-clients dependencies when install ipa-server packages

Expected results:
openssh-clients dependencies when install ipa-server packages

Additional info:
Comment 2 Rob Crittenden 2013-07-11 09:26:07 EDT
Upstream ticket:
Comment 6 Martin Kosek 2013-09-24 05:57:28 EDT
Note that in 6.5, we just added the openssh-clients dependency, fix described in Comment 5 is upstream enhancement only.
Comment 7 Kaleem 2013-09-26 04:45:40 EDT

IPA version:

snip from beaker automation log.

:: [   LOG    ] :: BZ983463 -  ipa-server should be dependent on openssh-clients package

:: [   LOG    ] :: Test for https://bugzilla.redhat.com/show_bug.cgi?id=983463
:: [   PASS   ] :: uninstalling ipa server (Expected 0, got 0)
:: [   PASS   ] :: capturing the deplist for ipa-server (Expected 0, got 0)
:: [   PASS   ] :: File '/dev/shm/replica-install-output' should contain 'dependency: openssh-clients' 
:: [   PASS   ] :: Removing openssh-clients (Expected 0, got 0)
:: [   PASS   ] :: File '/dev/shm/replica-install-output' should contain 'Erasing    : ipa-server' 
:: [   PASS   ] :: Installing ipa-server (Expected 0, got 0)
:: [   PASS   ] :: File '/dev/shm/replica-install-output' should contain 'Installing : openssh-clients' 
:: [   PASS   ] :: BZ 983463 not found 
:: [   LOG    ] :: Duration: 1m 29s
:: [   LOG    ] :: Assertions: 9 good, 0 bad
:: [   PASS   ] :: RESULT: BZ983463 -  ipa-server should be dependent on openssh-clients package
Comment 9 errata-xmlrpc 2013-11-21 15:54:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.